Bug 837223 - [abrt] mcpp-2.7.2-7.fc17: __GI_raise: Process /usr/bin/mcpp was killed by signal 6 (SIGABRT)
[abrt] mcpp-2.7.2-7.fc17: __GI_raise: Process /usr/bin/mcpp was killed by sig...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mcpp (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kiyoshi Matsui
Fedora Extras Quality Assurance
abrt_hash:c75bded12798932bcc210856765...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-03 04:48 EDT by John Horne
Modified: 2013-07-31 22:34 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 22:34:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (5.85 KB, text/plain)
2012-07-03 04:48 EDT, John Horne
no flags Details

  None (edit)
Description John Horne 2012-07-03 04:48:00 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/bin/mcpp -P -DHOST=jhorne -DSERVERHOST=jhorne -DSRVR_jhorne -DDISPLAY_NUM=0 -DCLIENTHOST=jhorne -DCLNT_jhorne -DVERSION=11 -DREVISION=0 '-DVENDOR=Fedora Project' -DVNDR_Fedora_Project -DRELEASE=11202000 -DNUM_SCREENS=1 -DEXT_DAMAGE -DEXT_Composite -DEXT_XINERAMA -DEXT_RANDR -DEXT_RENDER -DEXT_XFIXES -DEXT_XINERAMA -DEXT_XC_MISC -DEXT_XKEYBOARD -DEXT_SYNC -DEXT_BIG_REQUESTS -DEXT_XTEST -DEXT_XInputExtension -DEXT_MIT_SHM -DEXT_SHAPE -DEXT_Generic_Event_Extension -DEXT_NV_CONTROL -DEXT_NV_GLX -DEXT_DRI2 -DEXT_RECORD -DEXT_GLX -DEXT_DOUBLE_BUFFER -DEXT_X_Resource -DEXT_XVideo -DEXT_DPMS -DEXT_XFree86_DGA -DEXT_XFree86_VidModeExtension -DEXT_MIT_SCREEN_SAVER -DSCREEN_NUM=0 -DWIDTH=1280 -DHEIGHT=1024 -DX_RESOLUTION=3351 -DY_RESOLUTION=3391 -DPLANES=24 -DBITS_PER_RGB=8 -DCLASS=TrueColor -DCLASS_TrueColor=33 -DCOLOR -DCLASS_TrueColor_24=33 -DCLASS_DirectColor_24=34 -DCLASS_TrueColor_32=35 /tmp/kde-john/kcminitTw1464.tmp
comment:        Caused when I logged in to KDE desktop. No idea what part of logging in caused it. It seems to happen every time.
crash_function: __GI_raise
executable:     /usr/bin/mcpp
kernel:         3.4.4-3.fc17.x86_64
pid:            1547
pwd:            /home/john
time:           Tue 03 Jul 2012 09:41:06 BST
uid:            1000
username:       john

backtrace:      Text file, 5995 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/john/1

core_backtrace:
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x35965 raise libc.so.6 -
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x37118 abort libc.so.6 -
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x7568b __libc_message libc.so.6 -
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x1097e7 __fortify_fail libc.so.6 -
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x1079a0 __chk_fail libc.so.6 -
:519a33f176120497e5432ac609adf5024f3ab2ba 0xeda1 - libmcpp.so.0 -
:519a33f176120497e5432ac609adf5024f3ab2ba 0x17476 - libmcpp.so.0 -
:519a33f176120497e5432ac609adf5024f3ab2ba 0x2f0f mcpp_lib_main libmcpp.so.0 -

dso_list:
:/usr/lib64/libgcc_s-4.7.0-20120507.so.1 libgcc-4.7.0-5.fc17.x86_64 (Fedora Project) 1340392548
:/usr/bin/mcpp mcpp-2.7.2-7.fc17.x86_64 (Fedora Project) 1340392919
:/usr/lib64/libc-2.15.so glibc-2.15-37.fc17.x86_64 (Fedora Project) 1340392569
:/usr/lib64/ld-2.15.so glibc-2.15-37.fc17.x86_64 (Fedora Project) 1340392569
:/usr/lib64/libmcpp.so.0.3.0 libmcpp-2.7.2-7.fc17.x86_64 (Fedora Project) 1340392919

environ:
:XDG_VTNR=1
:KDE_MULTIHEAD=false
:XDG_SESSION_ID=1
:SSH_AGENT_PID=1399
:HOSTNAME=jhorne
:DM_CONTROL=/var/run/xdmctl
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:TERM=dumb
:SHELL=/bin/bash
:XDG_MENU_PREFIX=kde4-
:HISTSIZE=128
:XDM_MANAGED=method=classic,auto
:GTK2_RC_FILES=/home/john/.gtkrc-2.0-kde4
:CVSROOT=:ext:jhorne@rkhunter.cvs.sourceforge.net/cvsroot/rkhunter
:GS_LIB=
:KDE_FULL_SESSION=true
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=john
:SSH_AUTH_SOCK=/tmp/ssh-xnHKFRWu1255/agent.1255
:MAIL=/var/spool/mail/john
:PATH=/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/games:/usr/local/sbin:/usr/sbin:/home/john/.local/bin:/home/john/bin:/home/john/go/bin
:DESKTOP_SESSION=kde-plasma
:_=/usr/bin/mcpp
:QT_IM_MODULE=xim
:LC_COLLATE=C
:'EXINIT=set ignorecase showmode nomesg'
:PWD=/home/john
:MAILDIR=/home/john/Maildir
:XMODIFIERS=@im=none
:EDITOR=vi
:KDE_IS_PRELINKED=1
:'LANG=en_GB.UTF-8\"                                                      '
:KDE_SESSION_UID=1000
:FCEDIT=vi
:KDEDIRS=/usr
:HISTCONTROL=ignoredups
:SSH_ASKPASS=/usr/bin/ksshaskpass
:HOME=/home/john
:XDG_SEAT=seat0
:SHLVL=3
:LANGUAGE=
:KDE_SESSION_VERSION=4
:LOGNAME=john
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-KkLbzFjCo1,guid=bb2f140d59628476e48e51760000001a
:XDG_DATA_DIRS=/usr/share/kde-settings/kde-profile/default/share:/usr/local/share:/usr/share
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:DISPLAY=:0
:XDG_RUNTIME_DIR=/run/user/john
:QT_PLUGIN_PATH=/home/john/.kde/lib64/kde4/plugins/:/usr/lib64/kde4/plugins/:/usr/lib/kde4/plugins
:GTK_IM_MODULE=gtk-im-context-simple
:CCACHE_HASHDIR=
:XAUTHORITY=/tmp/kde-john/xauth-1000-_0

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 61190                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       61190                61190                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

maps:
:00400000-00401000 r-xp 00000000 08:11 3293528                            /usr/bin/mcpp
:00600000-00601000 r--p 00000000 08:11 3293528                            /usr/bin/mcpp
:00601000-00602000 rw-p 00001000 08:11 3293528                            /usr/bin/mcpp
:022d7000-022f8000 rw-p 00000000 00:00 0                                  [heap]
:3ed2800000-3ed2820000 r-xp 00000000 08:11 3310658                        /usr/lib64/ld-2.15.so
:3ed2a1f000-3ed2a20000 r--p 0001f000 08:11 3310658                        /usr/lib64/ld-2.15.so
:3ed2a20000-3ed2a21000 rw-p 00020000 08:11 3310658                        /usr/lib64/ld-2.15.so
:3ed2a21000-3ed2a22000 rw-p 00000000 00:00 0 
:3ed2c00000-3ed2c1f000 r-xp 00000000 08:11 3280859                        /usr/lib64/libmcpp.so.0.3.0
:3ed2c1f000-3ed2e1e000 ---p 0001f000 08:11 3280859                        /usr/lib64/libmcpp.so.0.3.0
:3ed2e1e000-3ed2e1f000 r--p 0001e000 08:11 3280859                        /usr/lib64/libmcpp.so.0.3.0
:3ed2e1f000-3ed2e22000 rw-p 0001f000 08:11 3280859                        /usr/lib64/libmcpp.so.0.3.0
:3ed2e22000-3ed2e89000 rw-p 00000000 00:00 0 
:3ed3000000-3ed31ac000 r-xp 00000000 08:11 3311054                        /usr/lib64/libc-2.15.so
:3ed31ac000-3ed33ac000 ---p 001ac000 08:11 3311054                        /usr/lib64/libc-2.15.so
:3ed33ac000-3ed33b0000 r--p 001ac000 08:11 3311054                        /usr/lib64/libc-2.15.so
:3ed33b0000-3ed33b2000 rw-p 001b0000 08:11 3311054                        /usr/lib64/libc-2.15.so
:3ed33b2000-3ed33b7000 rw-p 00000000 00:00 0 
:3ed4c00000-3ed4c15000 r-xp 00000000 08:11 3311084                        /usr/lib64/libgcc_s-4.7.0-20120507.so.1
:3ed4c15000-3ed4e14000 ---p 00015000 08:11 3311084                        /usr/lib64/libgcc_s-4.7.0-20120507.so.1
:3ed4e14000-3ed4e15000 rw-p 00014000 08:11 3311084                        /usr/lib64/libgcc_s-4.7.0-20120507.so.1
:7f1917ec4000-7f1917ec9000 rw-p 00000000 00:00 0 
:7fffd1965000-7fffd19a9000 rw-p 00000000 00:00 0                          [stack]
:7fffd19ff000-7fffd1a00000 r-xp 00000000 00:00 0                          [vdso]
:ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]

open_fds:
:0:/tmp/kde-john/kcminitTw1464.tmp
:pos:	0
:flags:	0100000
:1:pipe:[20020]
:pos:	0
:flags:	01
:2:/home/john/.xsession-errors
:pos:	5342
:flags:	0100001
:3:/tmp/kde-john/kcminitTw1464.tmp
:pos:	0
:flags:	0100000

smolt_data:
:
:
:General
:=================================
:UUID: 78751555-e16b-4886-a059-10ef047afeb3
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_GB.UTF-8"                                                      
:Platform: x86_64
:BogoMIPS: 4800.08
:CPU Vendor: AuthenticAMD
:CPU Model: AMD Athlon(tm) 64 X2 Dual Core Processor 4600+
:CPU Stepping: 3
:CPU Family: 15
:CPU Model Num: 67
:Number of CPUs: 2
:CPU Speed: 2400
:System Memory: 7734
:System Swap: 16383
:Vendor: .
:System: . Unknow
:Form factor: Desktop
:Kernel: 3.4.4-3.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4318:1376:5243:7215) pci, pata_amd, STORAGE, MCP67 IDE Controller
:(4318:1379:4318:0) pci, pcieport, PCI/PCI, MCP67 PCI Express Bridge
:(4318:1372:5243:7215) pci, snd_hda_intel, MULTIMEDIA, MCP67 High Definition Audio
:(4318:1379:4318:0) pci, pcieport, PCI/PCI, MCP67 PCI Express Bridge
:(4318:1356:5243:7215) pci, forcedeth, ETHERNET, MCP67 Ethernet
:(4318:1351:5243:7215) pci, None, RAM, MCP67 Memory Controller
:(4318:1345:5243:7215) pci, None, RAM, MCP67 Memory Controller
:(4318:1346:5243:7215) pci, nForce2_smbus, SERIAL, MCP67 SMBus
:(4318:1352:5243:7215) pci, None, PCI/ISA, MCP67 ISA Bridge
:(4130:4353:0:0) pci, None, HOST/PCI, K8 [Athlon64/Opteron] Address Map
:(4130:4352:0:0) pci, None, HOST/PCI, K8 [Athlon64/Opteron] HyperTransport Technology Configuration
:(4130:4355:0:0) pci, k8temp, HOST/PCI, K8 [Athlon64/Opteron] Miscellaneous Control
:(4130:4354:0:0) pci, None, HOST/PCI, K8 [Athlon64/Opteron] DRAM Controller
:(4318:2592:5762:10570) pci, nvidia, VIDEO, GT216 [GeForce GT 220]
:(4318:3042:5762:10570) pci, snd_hda_intel, MULTIMEDIA, High Definition Audio Controller
:(4318:1374:5243:7215) pci, ohci_hcd, USB, MCP67 OHCI USB 1.1 Controller
:(4318:1375:5243:7215) pci, ehci_hcd, USB, MCP67 EHCI USB 2.0 Controller
:(4318:1342:5243:7215) pci, nvidia, VIDEO, C68 [GeForce 7025 / nForce 630a]
:(4318:1377:4318:52100) pci, None, PCI/PCI, MCP67 PCI Bridge
:(4318:1379:4318:0) pci, pcieport, PCI/PCI, MCP67 PCI Express Bridge
:(4318:1364:5243:7215) pci, ahci, STORAGE, MCP67 AHCI Controller
:(4318:1379:4318:0) pci, pcieport, PCI/PCI, MCP67 PCI Express Bridge
:(4318:1379:4318:0) pci, pcieport, PCI/PCI, MCP67 PCI Express Bridge
:(4318:1374:5243:7215) pci, ohci_hcd, USB, MCP67 OHCI USB 1.1 Controller
:(4318:1375:5243:7215) pci, ehci_hcd, USB, MCP67 EHCI USB 2.0 Controller
:(4318:1378:4318:0) pci, pcieport, PCI/PCI, MCP67 PCI Express Bridge
:(4318:1379:4318:0) pci, pcieport, PCI/PCI, MCP67 PCI Express Bridge
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sdb1 / ext4 4096 4096 15600311 13396048 12614596 3907584 3672378 3672378
:/dev/sdc1 /var ext4 4096 4096 8699107 8083621 7647615 2182992 2175448 2175448
:/dev/sdd3 WITHHELD ext4 4096 4096 69580127 60658628 57175435 17416192 17416178 17416178
:/dev/sdd2 WITHHELD ext4 4096 4096 26174482 17043783 15732980 6561792 6561762 6561762
:/dev/mapper/luks-b5091ce4-f515-42db-b4ed-b8c8436767a5 WITHHELD ext4 4096 4096 26174858 9681942 8371146 6561792 6561661 6561661
:/dev/mapper/luks-a069d806-c1a8-495f-8f76-1fe378bd1f7f /home ext4 4096 4096 8698595 7537119 7101139 2182992 2142362 2142362
:

var_log_messages:
:Jul  2 12:39:35 jhorne abrt[1551]: Saved core dump of pid 1550 (/usr/bin/mcpp) to /var/spool/abrt/ccpp-2012-07-02-12:39:35-1550 (974848 bytes)
:Jul  3 09:41:06 jhorne abrt[1548]: Saved core dump of pid 1547 (/usr/bin/mcpp) to /var/spool/abrt/ccpp-2012-07-03-09:41:06-1547 (978944 bytes)
Comment 1 John Horne 2012-07-03 04:48:06 EDT
Created attachment 595904 [details]
File: backtrace
Comment 2 Fedora End Of Life 2013-07-03 19:39:53 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2013-07-31 22:34:18 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.